Index: code/branches/ogre1.9/data/gui/layouts/DecisionPopup.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/DecisionPopup.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/DecisionPopup.layout	(revision 11211)
@@ -1,36 +1,35 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="DefaultWindow" Name="orxonox/DecisionPopup_RootWindow" >
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="MenuWidgets/StaticImage" Name="orxonox/DecisionPopup_Background" >
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-            <Property Name="Alpha" Value="0.6" />
-            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_yes" >
-                <Property Name="Text" Value="Yes" />
-                <Property Name="Alpha" Value="0.7" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.5625,0},{0.4875,0},{0.6125,0}}" />
-                <Event Name="Clicked" Function="DecisionPopup.button_yes"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="DecisionPopup_RootWindow" type="DefaultWindow">
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Window name="DecisionPopup_Background" type="MenuWidgets/StaticImage">
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+            <Property name="Alpha" value="0.6" />
+            <Window name="DecisionPopup_button_yes" type="MenuWidgets/Button">
+                <Property name="Text" value="Yes" />
+                <Property name="Alpha" value="0.7" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.2875,0},{0.5625,0},{0.4875,0},{0.6125,0}}" />
+                <Event function="DecisionPopup.button_yes" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_no" >
-                <Property Name="Text" Value="No" />
-                <Property Name="Alpha" Value="0.8" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.5625,0},{0.7125,0},{0.6125,0}}" />
-                <Event Name="Clicked" Function="DecisionPopup.button_no"/>
+            <Window name="DecisionPopup_button_no" type="MenuWidgets/Button">
+                <Property name="Text" value="No" />
+                <Property name="Alpha" value="0.8" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.5125,0},{0.5625,0},{0.7125,0},{0.6125,0}}" />
+                <Event function="DecisionPopup.button_no" name="Clicked" />
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/DecisionPopup_text" >
-                <Property Name="Text" Value="Template text" />
-                <Property Name="HorzFormatting" Value="WordWrapCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.4375,0},{0.75,0},{0.5375,0}}" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="Alpha" Value="0.8" />
+            <Window name="DecisionPopup_text" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Template text" />
+                <Property name="HorzFormatting" value="WordWrapCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.25,0},{0.4375,0},{0.75,0},{0.5375,0}}" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="Alpha" value="0.8" />
             </Window>
         </Window>
Index: code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11211)
@@ -1,35 +1,34 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/Docking/Background" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Docking/Title" >
-            <Property Name="Text" Value="Docking" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/Listbox" Name="orxonox/Docking/Docks" >
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Title" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Docking" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
+            <Window name="Docks" type="MenuWidgets/Listbox">
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Docking/DockButton" >
-            <Property Name="Text" Value="Dock" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="DockingDialog.dockButton_clicked"/>
+        <Window name="DockButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Dock" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
+            <Event function="DockingDialog.dockButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Docking/CancelButton" >
-            <Property Name="Text" Value="Cancel" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="DockingDialog.cancelButton_clicked"/>
+        <Window name="CancelButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Cancel" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
+            <Event function="DockingDialog.cancelButton_clicked" name="Clicked" />
         </Window>
     </Window>
Index: code/branches/ogre1.9/data/gui/layouts/GUILayout.xsd
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/GUILayout.xsd	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/GUILayout.xsd	(revision 11211)
@@ -2,61 +2,70 @@
 <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
 
-    <xsd:element name="GUILayout" type="GUILayoutType"/>
+	<xsd:element name="GUILayout" type="GUILayoutType"/>
+	
+	<xsd:complexType name="GUILayoutType">
+		<xsd:sequence>
+			<xsd:element name="Window" type="WindowType" />
+		</xsd:sequence>
+		<xsd:attribute name="version" type="xsd:nonNegativeInteger" use="optional" default="0" />
+	</xsd:complexType>
+	
+	<xsd:complexType name="WindowType">
+		<xsd:sequence>
+			<xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:choice minOccurs="0" maxOccurs="unbounded">
+				<xsd:element name="Window" type="WindowType" />
+				<xsd:element name="AutoWindow" type="AutoWindowType" />
+			</xsd:choice>
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="UserString" type="UserStringType"  minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="type" type="xsd:string" use="required"/>
+		<xsd:attribute name="name" type="xsd:string" use="optional" default="" />
+	</xsd:complexType>
 
-    <xsd:complexType name="GUILayoutType">
-        <xsd:sequence>
-            <xsd:element name="Window" type="WindowType" />
-        </xsd:sequence>
-        <xsd:attribute name="Parent" type="xsd:string" use="optional" default=""/>
-    </xsd:complexType>
+	<xsd:complexType name="AutoWindowType">
+		<xsd:sequence>
+			<xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
+			<xsd:choice minOccurs="0" maxOccurs="unbounded">
+				<xsd:element name="Window" type="WindowType" />
+				<xsd:element name="AutoWindow" type="AutoWindowType" />
+			</xsd:choice>
+			<xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
+		</xsd:sequence>
+		<xsd:attribute name="namePath" type="xsd:string" use="required"/>
+	</xsd:complexType>
 
-    <xsd:complexType name="WindowType">
-        <xsd:sequence>
-            <xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:choice minOccurs="0" maxOccurs="unbounded">
-                <xsd:element name="Window" type="WindowType" />
-                <xsd:element name="AutoWindow" type="AutoWindowType" />
-            </xsd:choice>
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="Type" type="xsd:string" use="required"/>
-        <xsd:attribute name="Name" type="xsd:string" use="optional" default="" />
-    </xsd:complexType>
+	<xsd:complexType name="PropertyType">
+		<xsd:simpleContent>
+			<xsd:extension base="xsd:string">
+				<xsd:attribute name="name" type="xsd:string" use="required"/>
+				<xsd:attribute name="value" type="xsd:string" use="optional"/>
+			</xsd:extension>
+		</xsd:simpleContent> 
+	</xsd:complexType>
+	
+	<xsd:complexType name="UserStringType">
+		<xsd:simpleContent>
+			<xsd:extension base="xsd:string">
+				<xsd:attribute name="name" type="xsd:string" use="required"/>
+				<xsd:attribute name="value" type="xsd:string" use="optional"/>
+			</xsd:extension>
+		</xsd:simpleContent> 
+	</xsd:complexType>
+	
+	<xsd:complexType name="LayoutImportType">
+		<xsd:attribute name="filename" type="xsd:string" use="required"/>
+		<xsd:attribute name="resourceGroup" type="xsd:string" use="optional"  default="" />
+	</xsd:complexType>
 
-    <xsd:complexType name="AutoWindowType">
-        <xsd:sequence>
-            <xsd:element name="LayoutImport" type="LayoutImportType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:element name="Event" type="EventType"  minOccurs="0" maxOccurs="unbounded" />
-            <xsd:choice minOccurs="0" maxOccurs="unbounded">
-                <xsd:element name="Window" type="WindowType" />
-                <xsd:element name="AutoWindow" type="AutoWindowType" />
-            </xsd:choice>
-            <xsd:element name="Property" type="PropertyType"  minOccurs="0" maxOccurs="unbounded" />
-        </xsd:sequence>
-        <xsd:attribute name="NameSuffix" type="xsd:string" use="required"/>
-    </xsd:complexType>
-
-    <xsd:complexType name="PropertyType">
-        <xsd:simpleContent>
-            <xsd:extension base="xsd:string">
-                <xsd:attribute name="Name" type="xsd:string" use="required"/>
-                <xsd:attribute name="Value" type="xsd:string" use="optional"/>
-            </xsd:extension>
-        </xsd:simpleContent>
-    </xsd:complexType>
-
-    <xsd:complexType name="LayoutImportType">
-        <xsd:attribute name="Filename" type="xsd:string" use="required"/>
-        <xsd:attribute name="Prefix" type="xsd:string" use="optional" default="" />
-        <xsd:attribute name="ResourceGroup" type="xsd:string" use="optional"  default="" />
-    </xsd:complexType>
-
-    <xsd:complexType name="EventType">
-        <xsd:attribute name="Name" type="xsd:string" use="required"/>
-        <xsd:attribute name="Function" type="xsd:string" use="required"/>
-    </xsd:complexType>
+	<xsd:complexType name="EventType">
+		<xsd:attribute name="name" type="xsd:string" use="required"/>
+		<xsd:attribute name="function" type="xsd:string" use="required"/>
+	</xsd:complexType>
 
 </xsd:schema>
Index: code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11128)
+++ code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11211)
@@ -1,67 +1,66 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GameplayBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/GameplayWindow" >
-            <Property Name="Text" Value="Gameplay" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/Difficulty" >
-                <Property Name="Text" Value="Difficulty" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyEasyButton" >
-                    <Property Name="Text" Value="Easy" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.325,0},{0.675,0},{0.45,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyEasyButton_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="GameplayBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="GameplayWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Gameplay" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
+            <Window name="Difficulty" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Difficulty" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
+                <Window name="DifficultyEasyButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Easy" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.325,0},{0.675,0},{0.45,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyEasyButton_clicked" name="SelectStateChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyNormalButton" >
-                    <Property Name="Text" Value="Normal" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.525,0},{0.675,0},{0.65,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyNormalButton_clicked"/>
+                <Window name="DifficultyNormalButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Normal" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.525,0},{0.675,0},{0.65,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyNormalButton_clicked" name="SelectStateChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyHardButton" >
-                    <Property Name="Text" Value="Hard" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.725,0},{0.675,0},{0.85,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyHardButton_clicked"/>
+                <Window name="DifficultyHardButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Hard" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.725,0},{0.675,0},{0.85,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyHardButton_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/Theme" >
-                <Property Name="Text" Value="Theme" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
-                <Window Type="MenuWidgets/Combobox" Name="orxonox/ThemeCombobox" >
-                    <Property Name="AlwaysOnTop" Value="True" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
-                    <Property Name="MaxEditTextLength" Value="1073741823" />
-                    <Property Name="ReadOnly" Value="True" />
-                    <Event Name="ListSelectionAccepted" Function="GameplayMenu.GameplayThemeCombobox_changed" />
+            <Window name="Theme" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Theme" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
+                <Window name="ThemeCombobox" type="MenuWidgets/Combobox">
+                    <Property name="AlwaysOnTop" value="True" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
+                    <Property name="MaxEditTextLength" value="1073741823" />
+                    <Property name="ReadOnly" value="True" />
+                    <Event function="GameplayMenu.GameplayThemeCombobox_changed" name="ListSelectionAccepted" />
                 </Window>
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/GameplayBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="GameplayMenu.GameplayBackButton_clicked"/>
+        <Window name="GameplayBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="GameplayMenu.GameplayBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
